Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I am attempting to install glibc-2.5.34.i386.rpm on RHEL 5 (necessary in order to install gcc, which in turn is needed to install Apache server). I mounted the RHEL 5 iso to /mnt and copied over the relevant RPM files to a separate directory). When I run rpm -ivh glibc-2.5-34.i386.rpm I am getting a dependency error stating the following:

error: Failed dependencies: glibc-common = 2.5-34 is need by glibc-2.5-34.i386

Okay, so I grabbed the glibc-common RPM from the RPM fiinder site and ran rpm -ivh on it. However, it complains that I have a newer version of glibc-common package installed (2.5-34.el5_3.1.i386) and then spits out a bunch of lines about conflicting files. So is there a way to somehow uninstall or rollback glibc-common to version 2.5-34 so that I can go ahead with the install of glibc?

Btw, I cannot use yum due to network connectivity issues.

share|improve this question
    
Please explain in greater detail what glibc you're trying to install, and what you're trying to achieve. –  theotherreceive Sep 11 '09 at 18:13
    
Just out of interest, what are the network connectivity issues? do you require a proxy to use yum etc? –  Rodent43 Dec 11 '09 at 12:31

5 Answers 5

Step 1

/mnt/RHEL5.3/Server# rpm -ivh creatrepo*.rpm
/mnt/RHEL5.3/Server# rpm -ivh vsftpd*.rpm
/mnt/RHEL5.3# cp -av Server/ /var/ftp/pub

createrepo -v /var/ftp/pub/Server
createrepo -g /root/comps-rhel5-server-core.xml /var/ftp/pub/Server

You'll find .xml file at /mnt/RHEL5.3/Server/repodata. It will create repo for you from there you can install all need rpm for you and will not require and cd key.

then edit base.repo /etc/yum.repos.d/

[base]
name=RHEL Server 
baseurl=ftp://<ipaddress of ur server were u r looking to install any of rpm>/pub
enabled=1
gpgcheck=1

and then

yum update
yum install glibc

It will install the rpm and dependencies

Step 2

If you have http://rhn.support.com

login name and password

rhn_register

You'll get gui screen you add you server to rhn network and then you can install using

yum install glibc
share|improve this answer
    
@Rajat I've cleaned up the spelling on this answer, please don't use u as a substitute for you –  theotherreceive Sep 11 '09 at 20:33
    
next time i'll take care about thanks –  Rajat Sep 11 '09 at 20:43

Are you running "rpm" to install these packages? If so, perhaps you could try running "yum" instead, like so:

yum install glibc

Yum tries to sort out dependencies for you.

And, if you don't really care about the glibc but are trying to install something else that depends on glibc, just use yum to install whatever it is you actually want to install. If you are trying to install gcc, try "yum install gcc".

Good luck.

EDIT: I am aware that you already have the "glibc" package installed. I meant to provide a sample command line, not the exact command line you need to type. If you are trying to install package "foo" with the rpm command-line tool, and rpm is complaining you need a different version of glibc, you might try

yum install foo

and see if yum can just solve the problem for you. On RHEL I try yum before I try rpm, just as on Ubuntu or Debian I try apt-get before I try dpkg. Use the higher-level tool with dependency resolution, rather than going to web sites and downloading packages by hand.

share|improve this answer
    
What? glibc is already installed. The OP is trying to install a different version. –  theotherreceive Sep 11 '09 at 18:44
1  
The OP didn't say why he wants to install a different version. I was guessing that he might be trying to resolve dependencies for another package. Yum would help with that. Second, he said he grabbed an RPM from a web site; he might have grabbed the wrong RPM for his system. Yum could find the correct one. Personally, I use the rpm command as a last resort, and try to use yum first; it works better. In response to the above question, I have edited my answer to try to make it clearer. –  steveha Sep 11 '09 at 23:43

Have you considered getting whichever version of gcc doesn't need a change of glibc and then building Apache from a source tar.gz. I think Apache's default make files are pretty great, hence it's rapid popularity.

share|improve this answer

Download all the latest updates from redhat for your version of RHEL, burn to a cd, stick in the drive, cd to the mount point &

rpm -Uvh glib*

and if any other dependencies are required, add them to your commandline

share|improve this answer
up vote 0 down vote accepted

Ok, I know this question is 3 months old...but I actually did figure out how to install gcc on the server (no it didn't take me that long, I got busy with other things and found a way to get around it). I realized I needed to get newer versions of several RPMs (glibc-devel and glibc-headers just to name a few), so I was able to do a couple Google searches, ftp'd them over to the server and pretty soon I had it installed. Thanks everyone for your suggestions.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.